Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyExecutableMemberDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

Direct Known Subclasses:
  `SimpleGroovyConstructorDoc`, `SimpleGroovyMethodDoc`

public class SimpleGroovyExecutableMemberDoc extends SimpleGroovyMemberDoc implements GroovyExecutableMemberDoc
Base implementation for executable members such as methods and constructors.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `belongsToClass`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)`
  Creates an executable member owned by the supplied class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(GroovyParameter parameter)`
  Adds a parameter to this executable member.
  `String`
  `flatSignature()`
  Returns the flat signature used in rendered output.
  `boolean`
  `isNative()`
  Indicates whether this executable is declared `native`.
  `boolean`
  `isSynchronized()`
  Indicates whether this executable is declared `synchronized`.
  `boolean`
  `isVarArgs()`
  Indicates whether the executable accepts a variable number of arguments.
  `GroovyParameter[]`
  `parameters()`
  Returns the parameters declared by this executable.
  `String`
  `signature()`
  Returns the full signature used in rendered output.
  `GroovyClassDoc[]`
  `thrownExceptions()`
  Returns the checked exceptions declared by this executable.
  `GroovyType[]`
  `thrownExceptionTypes()`
  Returns the checked exception types declared by this executable.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `commentText, firstSentenceCommentText, isSynthetic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Constructor Details

  - ### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)
    Creates an executable member owned by the supplied class.
    Parameters:
      `name` - the executable name
      `belongsToClass` - the declaring class

- ## Method Details

  - ### parameters

    public GroovyParameter[] parameters()
    Returns the parameters declared by this executable.
    Specified by:
      `parameters` in interface `GroovyExecutableMemberDoc`
    Returns:
      the declared parameters

  - ### add

    public void add(GroovyParameter parameter)
    Adds a parameter to this executable member.
    Parameters:
      `parameter` - the parameter to add

  - ### flatSignature

    public String flatSignature()
    Returns the flat signature used in rendered output.
    Specified by:
      `flatSignature` in interface `GroovyExecutableMemberDoc`
    Returns:
      the flat signature

  - ### isNative

    public boolean isNative()
    Indicates whether this executable is declared `native`.
    Specified by:
      `isNative` in interface `GroovyExecutableMemberDoc`
    Returns:
      `true` if this executable is native

  - ### isSynchronized

    public boolean isSynchronized()
    Indicates whether this executable is declared `synchronized`.
    Specified by:
      `isSynchronized` in interface `GroovyExecutableMemberDoc`
    Returns:
      `true` if this executable is synchronized

  - ### isVarArgs

    public boolean isVarArgs()
    Indicates whether the executable accepts a variable number of arguments.
    Specified by:
      `isVarArgs` in interface `GroovyExecutableMemberDoc`
    Returns:
      `true` if this executable is variadic

  - ### signature

    public String signature()
    Returns the full signature used in rendered output.
    Specified by:
      `signature` in interface `GroovyExecutableMemberDoc`
    Returns:
      the executable signature

  - ### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()
    Returns the checked exceptions declared by this executable.
    Specified by:
      `thrownExceptions` in interface `GroovyExecutableMemberDoc`
    Returns:
      the declared exceptions

  - ### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()
    Returns the checked exception types declared by this executable.
    Specified by:
      `thrownExceptionTypes` in interface `GroovyExecutableMemberDoc`
    Returns:
      the declared exception types